Mensaje "Your system is no supported by this driver" al intentar instalar los drivers privativos de AMD

Imagen de ryu777
0 puntos

Buenas Compañeros : )
Mi problema es el siguiente:

Debido a que estoy interesado en utilizar un programa que solo funciona en distros linux de 64bit, tome la decisión de cambiar mi distro Ubuntu 12.04 32bit a Xubuntu 13.04 64bit (El problema que tengo es de hardware, no del entorno de escritorio, por esta razón lo publico aqui y no bajo xfce, perdon si me equivoqué).

Tengo una tarjeta de video ATI Radeon HD 4650 Series PCIe. Cuando intento buscar los drivers con la herramienta de “Drivers Adicionales” (Additional Drivers), no me aparece ningun drivers para la tarjeta de video (en Ubuntu 12.04 32bit si me aparece el driver propietario de ATI). Intente descargarlos con la herramienta “Ubuntu AMD Catalyst Install” y me dice que: “Your system is not supported by this driver.” Busque si en el Centro de Software de “Ubuntu” (Ubuntu Software Center) y si me aparece un drivers de de ATI, los instale pero este driver no funciona bien, ya que me reduce la resolucion de mi monitor y el “Catalyst Control Center” no abre, indicando que los drivers se instalaron mal o no están instalados en mi sistema.

Fui a la pagina de AMD para buscar el driver, y según AMD mi tarjeta si esta soportada.
http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_l...

Después de descargarlo, cuando lo voy a instalar me sale el siguiente mensaje: “One or more tools required for installation cannot be found on the system. Install the required tools before installing the fglrx driver. Optionally, run the installer with the --force option to install without the tools. Forcing install will disable AMD hardware acceleration and may make your system unstable. Not recommended. See /usr/share/ati/fglrx-install.log for more details.”

Cuando reviso el Log en el directorio indicado me dice: “Check if system has the tools required for installation. fglrx installation requires that the system have kernel headers. /lib/modules/3.8.0-22-generic/build/include/linux/version.h cannot be found on this system. One or more tools required for installation cannot be found on the system. Install the required tools before installing the fglrx driver. Optionally, run the installer with --force option to install without the tools. Forcing install will disable AMD hardware acceleration and may make your system unstable. Not recommended.”

Cuando verifico el “linux-headers-generic-3.8.0-22” resulta que si lo tengo instalado.

Intento volver a instalarlo dando la opción de “Generar paquete especifico para mi Distribución” (.deb) y cuando los género los pude instalar, pero el driver que instaló fue el mismo que estaba en el “Centro de Software de Ubuntu”, con los mismos problemas que mencione antes.

¿Alguien sabe lo que sucede?
¿Esto significa que aunque AMD dice que la serie 4000 esa soportada, la realidad es que no?
¿Mi tarjeta no es soportada en sistemas de 64bit?
¿Algo cambio en Ubuntu 13.04, en relacion a los Drivers?

Gracias de antemano y disculpen las molestias. : )

Imagen de ubu777
+1
+1
-1

Las series 4000 y anteriores ya son Legacy (Concluyo el soporte oficial y empezaran los problemas)
http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx
Si no me crees mira el "LEGACY" en el link.

+1
+1
-1

--------------------------------------------------------------------
*I'm sorry, I've played very sensitive fibers. This forum is not ready for my help. You can contact me in the master forums.
Ubuntu Forums Org.

Imagen de Jose Luis 1320
+1
+1
-1

Debes usar un título descriptivo.

Bien = "Mensaje "Your system is no supported by this driver" al intentar instalar los drivers privativos de AMD".
MAL= "Problemas para instalar driver ATI"

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Jose Luis 1320
+1
+1
-1

Gracias por cambiar el título, aunque ese oficio era según tu creatividad, pero bueno.

Suerte!.

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de ryu777
+1
0
-1

Buenas : )

Gracias “ubu777” por aclarar la situacion. ; )

Gracias “Jose Luis 1320” por reabrir el “Hilo”, no había entendido cuan descriptivo tenía que ser el título. ; )

Ya creo entender lo que sucede. Resulta ser que el problema no es porque el sistema operativo es de 64bit, como yo pensaba, sino y como dijo “ubu777” es debido a que el soporte del driver llega hasta el kernel 3.4 segun su pagina oficial, por lo que una versión del kernel mayor (como pasa en Ubuntu 12.10 y 13.04) por alguna razón técnica que desconozco, no funciona (asumo que es el kernel, porque las versiones de Xorg no han sufrido grandes actualizaciones, por lo que pude buscar).

Esta es la conclusión a la que he llegado después de haber probado Xubuntu 12.10, Xubuntu 13.04 32 y 64 bit, y para confirmar que el problema no es por la distribución Xubuntu, instalé Ubuntu 13.04 y tampoco funcionó. Como en Ubuntu 12.04 32 bit funciona, instalé Xubuntu 12.04 32 y 64 bit y funciona la instalación del driver (en la sección de “Additional Drivers” me aparece el driver para instalar, aunque yo instalé el de la pagina de AMD, ya que están más actualizados).

Lo que he optado por hacer es quedarme con Xubuntu 12.04 64bit, ya que le queda soporte por alrededor de 3 años más, y como es de 64 bit, puedo instalar el programa que quería usar. XD

Pregunto, aunque no puedo asegurar al 100% que el problema es debido a los Kernel mayores que 3.4, y en vez de instalar Xubnutu 13.04 64 bit, instalé Xubuntu 12.04 64 bit como mi remedio, ¿Debo editar el título de este “Hilo” y poner “(solucionado)”?

Muchas Gracias ; )

+1
0
-1

===============================================
Es sólo después del hecho, que las razones se vuelven claras.

Imagen de ubu777
+1
+1
-1

No lo recomiendo, Ubuntu esta por cambiar a Mir o Wayland, con lo cual en cierto tiempo le dirá adiós a Xorg, y según rumores, esto beneficiaria la compatibilidad gráfica.
La esperanza vive...

http://unity.ubuntu.com/mir/
https://wiki.ubuntu.com/Wayland

+1
+1
-1

--------------------------------------------------------------------
*I'm sorry, I've played very sensitive fibers. This forum is not ready for my help. You can contact me in the master forums.
Ubuntu Forums Org.

Imagen de ryu777
+1
0
-1

Gracias por contestar.

Esperare a otras versiones y al cambio del servidor grafico a ver como van las cosa.

Saludos XD

+1
0
-1

===============================================
Es sólo después del hecho, que las razones se vuelven claras.

Imagen de Maverik1984
+1
+1
-1

Quiere decir que yo con mi ati mobility radeom 3670 de 512mb podré quitarme el problema de calentamiento si da soporte?

+1
+1
-1
Imagen de ryu777
+1
0
-1

Si ATI da soporte, quiere decir que ofrece un driver oficial hecho por ellos mismos y en este caso de código privativo. Los que mejores conocen como funciona la tarjeta de video son ellos mismos (ATI), por lo que su propio driver debe ser el más optimizado para las diferentes áreas en una tarjeta de video, en este caso la temperatura.

Eso que dices es algo que comúnmente he leído en los comentarios de la gente. Si tienen driver libre (el que esta por defecto) el abanico de la compu no para de girar y hacer mucho esfuerzo, lo que los obliga a poner el driver privativo.

Ojalá te sea de ayuda. Cualquier cosa comenta.

Saludos : D

+1
0
-1

===============================================
Es sólo después del hecho, que las razones se vuelven claras.